from Cercle import Cercle

class Cylindre(Cercle):

	def __init__(self, rayon, hauteur):
		Cercle.__init__(self,rayon)
		self.__hauteur = hauteur

	def volume(self):
		return Cercle.surface(self) * self.__hauteur

	def __str__(self):
		return "le cylindre de rayon "+ str(self.getRayon())+ " et de hauteur " + str(self.__hauteur) +" a un volume de "+ str(self.volume())

	def getHauteur(self):
		return self.__hauteur